# -*- encoding: utf-8 -*-
# stub: cloudutil 0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "cloudutil".freeze
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mike Morris".freeze]
  s.date = "2015-07-06"
  s.description = "# Cloudutil\n\nA utility library for performing helpful tasks with various cloud platform providers\n\n## Installation\n\nAdd this line to your application's Gemfile:\n\n    gem 'cloudutil'\n\nAnd then execute:\n\n    $ bundle install\n\nOr install it yourself as:\n\n    $ gem install cloudutil\n\n## Usage\n\nFor AWS helpers:\n\n    require 'cloudutil/aws'\n\n    aws = Cloudutil::AWS(config: existing_AWS::Config_object) -or-\n    aws = Cloudutil::AWS(access_key: your_AWS_access_key, secret_key: your_AWS_secret_key)\n\n    subnet_id  = aws.resolve_subnet_id('my_subnet_name_or_tag')\n    sec_grp_id = aws.resolve_subnet_id('my_security_group_name_or_tag')\n    ami_id = aws.resolve_subnet_id('my_ami_name_or_tag')\n\n## Contributing\n\n1. Fork it ( https://github.com/mmmorris1975/cloudutil/fork )\n2. Create your feature branch (`git checkout -b my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Push to the branch (`git push origin my-new-feature`)\n5. Create a new Pull Request\n".freeze
  s.email = ["michael.m.morris@pearson.com".freeze]
  s.homepage = "".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A utility library for performing helpful tasks with various cloud platform providers".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<aws-sdk-v1>.freeze, ["~> 1.44"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<aws-sdk-v1>.freeze, ["~> 1.44"])
  end
end
